### Constructor

# Gck Object from_handle

#### Declaration [src]

    GckObject*
    gck_object_from_handle (
      GckSession* session,
      gulong object_handle
    )

#### Description [src]

Initialize a GckObject from a raw PKCS#11 handle. Normally you would use `gck_session_create_object()` or `gck_session_find_objects()` to access objects.

#### Parameters

`session` | `GckSession`
| The session through which this object is accessed or created.
| The data is owned by the caller of the function.
`object_handle` | `gulong`
| The raw `CK_OBJECT_HANDLE` of the object.

#### Return value

Returns: | `GckObject`
| The new object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.